#include <mpi.h>
#include <PLA.h>
#include <MISC_DEFS.h>
#include "PRISM.h"

void PRISM_deal_with_cluster(PLA_Obj Scur, PLA_Obj Dcur) {
/*
   Finish off a subproblem that is a cluster.
   Eignevalues are assumed to be the diagonal of Scur.
   
   WHY ARE DIAGONAL ELEMENTS THE EIGENVALUES?
   DO WE NEED TO SET Z?
*/

   PRISM_get_diag( Scur, Dcur );

#ifdef DB_GLOBAL_
     if (me==ROOT) printf(">> PRISM_deal_with_cluster\n");
     PRISM_print(Scur);
#endif
}
